--- u-boot-2011.06_original/include/config_target_specific.h	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/include/config_target_specific.h	2015-03-16 11:19:40.877878000 +0800
@@ -0,0 +1,415 @@
+#ifndef _CONFIG_TARGET_SPECIFIC_
+#define _CONFIG_TARGET_SPECIFIC_
+
+#include <config_target_names.h>
+#if (SECURE == 1 )
+	#define CONFIG_CMD_SEC1900_MEM_PROTECT
+#else
+	#undef CONFIG_CMD_SEC1900_MEM_PROTECT
+#endif
+
+#if (CONFIG_TARGET_NAME == CNC1900_EVB)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+
+	/*hardware parameters*/
+	#define DDR_SIZE_512M
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_CMD_EEPROM /* There is EEPROM storage */
+	#define CONFIG_DRIVER_CN100
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "cnc-nand"
+
+	#define CONFIG_ENV_IS_IN_NAND
+	#define CONFIG_CMD_SEC_NVEDIT
+
+	#define CONFIG_ENV_F_SIZE          0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)    */
+	#define CONFIG_ENV_F_RANGE         0x00040000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE */
+	#define CONFIG_ENV_F_OFFSET        0x00020000 /* environment starts here/aligned with 128KB                            */
+	#define CONFIG_ENV_F_SECT_SIZE     0x00020000 /* 128 KB sectors                                                        */
+
+	#define CONFIG_ENV_SIZE            0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)     */
+	#define CONFIG_ENV_RANGE           0x00080000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE  */
+	#define CONFIG_ENV_OFFSET          0x000e0000 /* environment starts here/aligned with 128KB                             */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                                                         */
+
+	#define CONFIG_TVOUT_YPBPR
+	#define CONFIG_TVOUT_CVBS
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+
+#elif (CONFIG_TARGET_NAME == CNW83XX_OTT_EMMC)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+
+	/*hardware parameters*/
+	#define DDR_SIZE_512M
+	#define CONFIG_CNC1900_SD1
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_DRIVER_CN100
+	#define CONFIG_DRIVER_CN100_MULTI
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "emmc"
+
+	#define CONFIG_ENV_IS_IN_MMC
+	#define CONFIG_SYS_MMC_ENV_DEV 0
+	#define CONFIG_ENV_SIZE            0x00100000 /* Total Size of Environment Sector 1MB  */
+	#define CONFIG_ENV_OFFSET          0x00200000 /* environment starts here               */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                        */
+
+	#define CONFIG_CMD_SEC_NVEDIT
+	#define CONFIG_SEC_ENV_IS_IN_MMC
+	#define CONFIG_SYS_MMC_SEC_ENV_DEV 0
+	#define CONFIG_ENV_F_SIZE          0x00100000 /* Total Size of Environment Sector 1MB  */
+	#define CONFIG_ENV_F_OFFSET        0x00300000 /* Fail safe environment starts here     */
+
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+
+#elif (CONFIG_TARGET_NAME == CNW83XX_SONY_VEDETT)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+
+	/*hardware parameters*/
+	#define DDR_SIZE_512M
+	#define CONFIG_CNC1900_SD1
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_DRIVER_CN100
+	#define CONFIG_DRIVER_CN100_MULTI
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "emmc"
+
+	#define CONFIG_ENV_IS_IN_MMC
+	#define CONFIG_SYS_MMC_ENV_DEV 0
+	#define CONFIG_ENV_SIZE            0x00100000 /* Total Size of Environment Sector 1MB  */
+	#define CONFIG_ENV_OFFSET          0x00200000 /* environment starts here               */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                        */
+
+	#define CONFIG_CMD_SEC_NVEDIT
+	#define CONFIG_SEC_ENV_IS_IN_MMC
+	#define CONFIG_SYS_MMC_SEC_ENV_DEV 0
+	#define CONFIG_ENV_F_SIZE          0x00100000 /* Total Size of Environment Sector 1MB  */
+	#define CONFIG_ENV_F_OFFSET        0x00300000 /* Fail safe environment starts here     */
+
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+
+#elif (CONFIG_TARGET_NAME == CNW83XX_SONY)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+	
+	/*hardware parameters*/
+	#define DDR_SIZE_512M
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_DRIVER_CN100
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "cnc-nand"
+
+	#define CONFIG_ENV_IS_IN_NAND
+	#define CONFIG_CMD_SEC_NVEDIT
+
+	#define CONFIG_ENV_F_SIZE          0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)    */
+	#define CONFIG_ENV_F_RANGE         0x00040000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE */
+	#define CONFIG_ENV_F_OFFSET        0x00020000 /* environment starts here/aligned with 128KB                            */
+	#define CONFIG_ENV_F_SECT_SIZE     0x00020000 /* 128 KB sectors                                                        */
+
+	#define CONFIG_ENV_SIZE            0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)     */
+	#define CONFIG_ENV_RANGE           0x00080000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE  */
+	#define CONFIG_ENV_OFFSET          0x000e0000 /* environment starts here/aligned with 128KB                             */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                                                         */
+	#define CONFIG_CMD_UPDATE_SOURCE 2
+
+#elif (CONFIG_TARGET_NAME == CNC1900_HDK)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+
+	/*hardware parameters*/
+	#define DDR_SIZE_512M
+	#define CONFIG_CNC1900_SD1
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_DRIVER_CN100
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "cnc-nand"
+
+	#define CONFIG_ENV_IS_IN_NAND
+	#define CONFIG_CMD_SEC_NVEDIT
+
+	#define CONFIG_ENV_F_SIZE          0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)    */
+	#define CONFIG_ENV_F_RANGE         0x00040000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE */
+	#define CONFIG_ENV_F_OFFSET        0x00020000 /* environment starts here/aligned with 128KB                            */
+	#define CONFIG_ENV_F_SECT_SIZE     0x00020000 /* 128 KB sectors                                                        */
+
+	#define CONFIG_ENV_SIZE            0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)     */
+	#define CONFIG_ENV_RANGE           0x00080000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE  */
+	#define CONFIG_ENV_OFFSET          0x000e0000 /* environment starts here/aligned with 128KB                             */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                                                         */
+
+	#define CONFIG_TVOUT_CVBS
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+
+#elif (CONFIG_TARGET_NAME == CNW83XX_VMS_MINI)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+
+	/*hardware parameters*/
+	#define DDR_SIZE_512M
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "cnc-nand"
+
+	#define CONFIG_ENV_IS_IN_NAND
+	#define CONFIG_CMD_SEC_NVEDIT
+
+	#define CONFIG_ENV_F_SIZE          0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)    */
+	#define CONFIG_ENV_F_RANGE         0x00040000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE */
+	#define CONFIG_ENV_F_OFFSET        0x00020000 /* environment starts here/aligned with 128KB                            */
+	#define CONFIG_ENV_F_SECT_SIZE     0x00020000 /* 128 KB sectors                                                        */
+
+	#define CONFIG_ENV_SIZE            0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)     */
+	#define CONFIG_ENV_RANGE           0x00080000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE  */
+	#define CONFIG_ENV_OFFSET          0x000e0000 /* environment starts here/aligned with 128KB                             */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                                                         */
+	
+	#define CONFIG_USB_HOST_ETHER
+	#define CONFIG_USB_ETHER_ASIX
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+
+#elif (CONFIG_TARGET_NAME == CNC1900_ZINWELL)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+
+	/*hardware parameters*/
+	#define DDR_SIZE_512M
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_DRIVER_CN100
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "cnc-nand"
+
+	#define CONFIG_ENV_IS_IN_NAND
+	#define CONFIG_CMD_SEC_NVEDIT
+
+	#define CONFIG_ENV_F_SIZE          0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)    */
+	#define CONFIG_ENV_F_RANGE         0x00040000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE */
+	#define CONFIG_ENV_F_OFFSET        0x00020000 /* environment starts here/aligned with 128KB                            */
+	#define CONFIG_ENV_F_SECT_SIZE     0x00020000 /* 128 KB sectors                                                        */
+
+	#define CONFIG_ENV_SIZE            0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)     */
+	#define CONFIG_ENV_RANGE           0x00080000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE  */
+	#define CONFIG_ENV_OFFSET          0x000e0000 /* environment starts here/aligned with 128KB                             */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                                                         */
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+
+
+#elif (CONFIG_TARGET_NAME == CNC1900_FJ_RX)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+
+	/*hardware parameters*/
+	#define DDR_SIZE_256M
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "cnc-nand"
+
+	#define CONFIG_ENV_IS_IN_NAND
+	#define CONFIG_CMD_SEC_NVEDIT
+
+	#define CONFIG_ENV_F_SIZE          0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)    */
+	#define CONFIG_ENV_F_RANGE         0x00040000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE */
+	#define CONFIG_ENV_F_OFFSET        0x00020000 /* environment starts here/aligned with 128KB                            */
+	#define CONFIG_ENV_F_SECT_SIZE     0x00020000 /* 128 KB sectors                                                        */
+
+	#define CONFIG_ENV_SIZE            0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)     */
+	#define CONFIG_ENV_RANGE           0x00080000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE  */
+	#define CONFIG_ENV_OFFSET          0x000e0000 /* environment starts here/aligned with 128KB                             */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                                                         */
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+#if 0
+	#define CONFIG_INPUT_WHITELIST char *input_whitelist[] = { \
+		"reset\r\n", \
+		"\r\n", \
+		"ver\r\n", \
+		"setenv FACTORY_DIAGS\r\n", \
+		"saveenv\r\n", \
+		"reset\n", \
+		"\n", \
+		"ver\n", \
+		"setenv FACTORY_DIAGS\n", \
+		"saveenv\n", \
+		NULL \
+	};
+#endif
+
+#elif (CONFIG_TARGET_NAME == CNC1900_FPGA)
+	#define CONFIG_SYS_CPU_CLK          27000000
+	#define CONFIG_SYS_NS16550_CLK      CONFIG_SYS_PCLK_FREQ
+
+	/*hardware parameters*/
+	#define DDR_SIZE_256M
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"bootm 0x7FC0 0x3000000"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "cnc-nand"
+
+	#define CONFIG_ENV_IS_IN_NAND
+	#define CONFIG_CMD_SEC_NVEDIT
+
+	#define CONFIG_ENV_F_SIZE          0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)    */
+	#define CONFIG_ENV_F_RANGE         0x00040000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE */
+	#define CONFIG_ENV_F_OFFSET        0x00020000 /* environment starts here/aligned with 128KB                            */
+	#define CONFIG_ENV_F_SECT_SIZE     0x00020000 /* 128 KB sectors                                                        */
+
+	#define CONFIG_ENV_SIZE            0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)     */
+	#define CONFIG_ENV_RANGE           0x00080000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE  */
+	#define CONFIG_ENV_OFFSET          0x000e0000 /* environment starts here/aligned with 128KB                             */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                                                         */
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+
+#elif (CONFIG_TARGET_NAME == CNC1900_HDK)
+	#define CONFIG_SYS_CPU_CLK          810000000
+	#define CONFIG_SYS_NS16550_CLK      45000000
+
+	/*hardware parameters*/
+	#define DDR_SIZE_512M
+
+	/*environment variables*/
+	#define CONFIG_BOOTARGS 	"root=/dev/ram0 console=ttyS0,115200"
+	#define CONFIG_BOOTCOMMAND	"tftp 100000 uImage; bootm"
+
+	/*logo format*/
+	#define CONFIG_LOGO_FORMAT 8888
+	#define CONFIG_LOGO_WIDTH 1920
+	#define CONFIG_LOGO_HEIGHT 1080
+
+	/*miscellaneous target specific macros*/
+	#define CONFIG_DRIVER_CN100
+	#define CONFIG_BOOTFILE 	"uImage"
+	#define CONFIG_CMD_UNZIP
+
+	#define CONFIG_CNC_BOOTM_MTDID "cnc-nand"
+
+	#define CONFIG_ENV_IS_IN_NAND
+	#define CONFIG_CMD_SEC_NVEDIT
+
+	#define CONFIG_ENV_F_SIZE          0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)    */
+	#define CONFIG_ENV_F_RANGE         0x00040000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE */
+	#define CONFIG_ENV_F_OFFSET        0x00020000 /* environment starts here/aligned with 128KB                            */
+	#define CONFIG_ENV_F_SECT_SIZE     0x00020000 /* 128 KB sectors                                                        */
+
+	#define CONFIG_ENV_SIZE            0x00020000 /* Total Size of Environment Sector 128KB(for 2k pagesize of csm1800)     */
+	#define CONFIG_ENV_RANGE           0x00080000 /* saveenv can skip bad block, but it only write env in CONFIG_ENV_RANGE  */
+	#define CONFIG_ENV_OFFSET          0x000e0000 /* environment starts here/aligned with 128KB                             */
+	#define CONFIG_ENV_SECT_SIZE       0x00020000 /* 128 KB sectors                                                         */
+
+	#define CONFIG_TVOUT_CVBS
+	#define CONFIG_CMD_UPDATE_SOURCE 1
+#else
+	#error "Invalid target!"
+#endif
+
+
+#endif
+
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/config_xyssl.h u-boot-2011.06/include/config_xyssl.h
--- u-boot-2011.06_original/include/config_xyssl.h	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/include/config_xyssl.h	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,86 @@
+/**
+ * \file config.h
+ *
+ * This set of compile-time options may be used to enable
+ * or disable features selectively, and reduce the global
+ * memory footprint.
+ */
+#ifndef XYSSL_CONFIG_H
+#define XYSSL_CONFIG_H
+
+#ifndef _CRT_SECURE_NO_DEPRECATE
+#define _CRT_SECURE_NO_DEPRECATE 1
+#endif
+
+/*
+ * Uncomment if native integers are 8-bit wide.
+ *
+#define XYSSL_HAVE_INT8
+ */
+
+/*
+ * Uncomment if native integers are 16-bit wide.
+ *
+#define XYSSL_HAVE_INT16
+ */
+
+/*
+ * Uncomment if the compiler supports long long.
+ *
+#define XYSSL_HAVE_LONGLONG
+ */
+
+/*
+ * Uncomment if the CPU supports SSE2 (IA-32 specific).
+ *
+#define XYSSL_HAVE_SSE2
+ */
+
+
+/*
+ * Enable the checkup functions (*_self_test).
+ */
+//#define XYSSL_SELF_TEST
+
+/*
+ * Enable the prime-number generation code.
+ */
+//#define XYSSL_GENPRIME
+
+
+/*
+ * Module:  library/bignum.c
+ * Caller:  library/dhm.c
+ *          library/rsa.c
+ *          library/ssl_tls.c
+ *          library/x509parse.c
+ *
+ * This module is required for RSA and DHM support.
+ */
+#define XYSSL_BIGNUM_C
+
+
+
+/*
+ * Module:  library/rsa.c
+ * Caller:  library/ssl_cli.c
+ *          library/ssl_srv.c
+ *          library/ssl_tls.c
+ *          library/x509.c
+ *
+ * This module is required for SSL/TLS and X.509.
+ */
+#define XYSSL_RSA_C
+
+
+/*
+ * Module:  library/sha2.c
+ * Caller:
+ *
+ * This module adds support for SHA-224 and SHA-256.
+ */
+#define XYSSL_SHA2_C
+
+//#define BIGNUM_FILE_FUNC_ENA
+
+#endif /* config.h */
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/c_stdlib.h u-boot-2011.06/include/c_stdlib.h
--- u-boot-2011.06_original/include/c_stdlib.h	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/include/c_stdlib.h	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,24 @@
+#ifndef _C_STDLIB_H_
+#define _C_STDLIB_H_
+
+//#define USE_C_STD_LIB
+
+#if defined(__CC_ARM)	//USE_C_STD_LIB
+#include "x_clib.h"
+#include <string.h>
+//#include <string.h>
+//#include <stdio.h>
+//#include <assert.h>
+//#include <stdlib.h>
+
+#elif defined(__GNUC__)
+
+#include "x_clib.h"
+
+#define memcpy(s1, s2, n) x_memcpy(s1, s2, n)
+#define memcmp(s1, s2, n) x_memcmp(s1, s2, n)
+#define memset(s ,  c, n) x_memset(s ,  c, n)
+
+#endif
+
+#endif
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/customer_specific_definitions.h u-boot-2011.06/include/customer_specific_definitions.h
--- u-boot-2011.06_original/include/customer_specific_definitions.h	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/include/customer_specific_definitions.h	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,33 @@
+#if !defined(__CUSTOMER_SPECIFIC_DEFINITIONS_H__)
+#define __CUSTOMER_SPECIFIC_DEFINITIONS_H__ 1
+
+/* These are customer-specific definitions for U-Boot.  Currently, this includes
+   only the addresses in flash memory where certain interesting things may be
+   found. This version of the header file contains definitions specific to the
+   following customer: cavium */
+
+/* Where the blob header can be found in flash. */
+#define CAVM18_BLOB_HDR_FLSH_ADDR          (0xa00000)
+
+/* Where the factory kernel header is in flash. */
+#define CAVM18_FACT_HDR_FLSH_ADDR           (0x003c0000)
+
+/* Where the field kernel header is in flash. */
+#define CAVM18_FIELD_KENREL_HDR_FLSH_ADDR	(0x057c0000)
+
+/* Location of the factory kernel */
+#define FACTORY_KERNEL_FLASH_ADDR           (0x00400000)
+
+/* Location of the field kernel */
+#define FIELD_KERNEL_FLASH_ADDR             (0x02400000)
+
+/* Location of the factory u-boot */
+#define FACTORY_UBOOT_FLASH_ADDR            (0x00020000)
+
+/* Location of the field u-boot */
+#define FIELD_UBOOT_FLASH_ADDR              (0x05b00000)
+
+/* Location (PHYSICAL, not virtual) where the decrypted secure blob is stored. */
+#define CRYPTO_OUT_BLOB_LINUX_ADDR          (PHYS_SDRAM_1_SIZE - 0X4001000)
+
+#endif
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/dwmmc.h u-boot-2011.06/include/dwmmc.h
--- u-boot-2011.06_original/include/dwmmc.h	1970-01-01 08:00:00.000000000 +0800
+++ u-boot-2011.06/include/dwmmc.h	2014-07-29 17:28:38.819972000 +0800
@@ -0,0 +1,181 @@
+/*
+ * (C) Copyright 2012 SAMSUNG Electronics
+ * Jaehoon Chung <jh80.chung@samsung.com>
+ *
+ * SPDX-License-Identifier:	GPL-2.0+
+ */
+
+#ifndef __DWMMC_HW_H
+#define __DWMMC_HW_H
+
+#include <asm/io.h>
+#include <mmc.h>
+
+#define DWMCI_CTRL		0x000
+#define	DWMCI_PWREN		0x004
+#define DWMCI_CLKDIV		0x008
+#define DWMCI_CLKSRC		0x00C
+#define DWMCI_CLKENA		0x010
+#define DWMCI_TMOUT		0x014
+#define DWMCI_CTYPE		0x018
+#define DWMCI_BLKSIZ		0x01C
+#define DWMCI_BYTCNT		0x020
+#define DWMCI_INTMASK		0x024
+#define DWMCI_CMDARG		0x028
+#define DWMCI_CMD		0x02C
+#define DWMCI_RESP0		0x030
+#define DWMCI_RESP1		0x034
+#define DWMCI_RESP2		0x038
+#define DWMCI_RESP3		0x03C
+#define DWMCI_MINTSTS		0x040
+#define DWMCI_RINTSTS		0x044
+#define DWMCI_STATUS		0x048
+#define DWMCI_FIFOTH		0x04C
+#define DWMCI_CDETECT		0x050
+#define DWMCI_WRTPRT		0x054
+#define DWMCI_GPIO		0x058
+#define DWMCI_TCMCNT		0x05C
+#define DWMCI_TBBCNT		0x060
+#define DWMCI_DEBNCE		0x064
+#define DWMCI_USRID		0x068
+#define DWMCI_VERID		0x06C
+#define DWMCI_HCON		0x070
+#define DWMCI_UHS_REG		0x074
+#define DWMCI_BMOD		0x080
+#define DWMCI_PLDMND		0x084
+#define DWMCI_DBADDR		0x088
+#define DWMCI_IDSTS		0x08C
+#define DWMCI_IDINTEN		0x090
+#define DWMCI_DSCADDR		0x094
+#define DWMCI_BUFADDR		0x098
+#define DWMCI_DATA		0x200
+
+/* Interrupt Mask register */
+#define DWMCI_INTMSK_ALL	0xffffffff
+#define DWMCI_INTMSK_RE		(1 << 1)
+#define DWMCI_INTMSK_CDONE	(1 << 2)
+#define DWMCI_INTMSK_DTO	(1 << 3)
+#define DWMCI_INTMSK_TXDR	(1 << 4)
+#define DWMCI_INTMSK_RXDR	(1 << 5)
+#define DWMCI_INTMSK_DCRC	(1 << 7)
+#define DWMCI_INTMSK_RTO	(1 << 8)
+#define DWMCI_INTMSK_DRTO	(1 << 9)
+#define DWMCI_INTMSK_HTO	(1 << 10)
+#define DWMCI_INTMSK_FRUN	(1 << 11)
+#define DWMCI_INTMSK_HLE	(1 << 12)
+#define DWMCI_INTMSK_SBE	(1 << 13)
+#define DWMCI_INTMSK_ACD	(1 << 14)
+#define DWMCI_INTMSK_EBE	(1 << 15)
+
+/* Raw interrupt Regsiter */
+#define DWMCI_DATA_ERR	(DWMCI_INTMSK_EBE | DWMCI_INTMSK_SBE | DWMCI_INTMSK_HLE |\
+			DWMCI_INTMSK_FRUN | DWMCI_INTMSK_EBE | DWMCI_INTMSK_DCRC)
+#define DWMCI_DATA_TOUT	(DWMCI_INTMSK_HTO | DWMCI_INTMSK_DRTO)
+/* CTRL register */
+#define DWMCI_CTRL_RESET	(1 << 0)
+#define DWMCI_CTRL_FIFO_RESET	(1 << 1)
+#define DWMCI_CTRL_DMA_RESET	(1 << 2)
+#define DWMCI_DMA_EN		(1 << 5)
+#define DWMCI_CTRL_SEND_AS_CCSD	(1 << 10)
+#define DWMCI_IDMAC_EN		(1 << 25)
+#define DWMCI_RESET_ALL		(DWMCI_CTRL_RESET | DWMCI_CTRL_FIFO_RESET |\
+				DWMCI_CTRL_DMA_RESET)
+
+/* CMD register */
+#define DWMCI_CMD_RESP_EXP	(1 << 6)
+#define DWMCI_CMD_RESP_LENGTH	(1 << 7)
+#define DWMCI_CMD_CHECK_CRC	(1 << 8)
+#define DWMCI_CMD_DATA_EXP	(1 << 9)
+#define DWMCI_CMD_RW		(1 << 10)
+#define DWMCI_CMD_SEND_STOP	(1 << 12)
+#define DWMCI_CMD_ABORT_STOP	(1 << 14)
+#define DWMCI_CMD_PRV_DAT_WAIT	(1 << 13)
+#define DWMCI_CMD_UPD_CLK	(1 << 21)
+#define DWMCI_CMD_USE_HOLD_REG	(1 << 29)
+#define DWMCI_CMD_START		(1 << 31)
+
+/* CLKENA register */
+#define DWMCI_CLKEN_ENABLE	(1 << 0)
+#define DWMCI_CLKEN_LOW_PWR	(1 << 16)
+
+/* Card-type registe */
+#define DWMCI_CTYPE_1BIT	0
+#define DWMCI_CTYPE_4BIT	(1 << 0)
+#define DWMCI_CTYPE_8BIT	(1 << 16)
+
+/* Status Register */
+#define DWMCI_BUSY		(1 << 9)
+
+/* FIFOTH Register */
+#define MSIZE(x)		((x) << 28)
+#define RX_WMARK(x)		((x) << 16)
+#define TX_WMARK(x)		(x)
+#define RX_WMARK_SHIFT		16
+#define RX_WMARK_MASK		(0xfff << RX_WMARK_SHIFT)
+
+#define DWMCI_IDMAC_OWN		(1 << 31)
+#define DWMCI_IDMAC_CH		(1 << 4)
+#define DWMCI_IDMAC_FS		(1 << 3)
+#define DWMCI_IDMAC_LD		(1 << 2)
+
+/*  Bus Mode Register */
+#define DWMCI_BMOD_IDMAC_RESET	(1 << 0)
+#define DWMCI_BMOD_IDMAC_FB	(1 << 1)
+#define DWMCI_BMOD_IDMAC_EN	(1 << 7)
+
+struct dwmci_host {
+	char *name;
+	void *ioaddr;
+	unsigned int quirks;
+	unsigned int caps;
+	unsigned int version;
+	unsigned int clock;
+	unsigned int bus_hz;
+	int dev_index;
+	int buswidth;
+	u32 clksel_val;
+	u32 fifoth_val;
+	struct mmc *mmc;
+
+	void (*clksel)(struct dwmci_host *host);
+	unsigned int (*mmc_clk)(int dev_index);
+};
+
+struct dwmci_idmac {
+	u32 flags;
+	u32 cnt;
+	u32 addr;
+	u32 next_addr;
+};
+
+static inline void dwmci_writel(struct dwmci_host *host, int reg, u32 val)
+{
+	writel(val, host->ioaddr + reg);
+}
+
+static inline void dwmci_writew(struct dwmci_host *host, int reg, u16 val)
+{
+	writew(val, host->ioaddr + reg);
+}
+
+static inline void dwmci_writeb(struct dwmci_host *host, int reg, u8 val)
+{
+	writeb(val, host->ioaddr + reg);
+}
+static inline u32 dwmci_readl(struct dwmci_host *host, int reg)
+{
+	return readl(host->ioaddr + reg);
+}
+
+static inline u16 dwmci_readw(struct dwmci_host *host, int reg)
+{
+	return readw(host->ioaddr + reg);
+}
+
+static inline u8 dwmci_readb(struct dwmci_host *host, int reg)
+{
+	return readb(host->ioaddr + reg);
+}
+
+int add_dwmci(struct dwmci_host *host, u32 max_clk, u32 min_clk);
+#endif	/* __DWMMC_HW_H */
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/_exports.h u-boot-2011.06/include/_exports.h
--- u-boot-2011.06_original/include/_exports.h	2011-06-28 04:22:42.000000000 +0800
+++ u-boot-2011.06/include/_exports.h	2014-07-29 17:28:38.819972000 +0800
@@ -30,3 +30,21 @@
 EXPORT_FUNC(spi_claim_bus)
 EXPORT_FUNC(spi_release_bus)
 EXPORT_FUNC(spi_xfer)
+EXPORT_FUNC(memcpy)
+EXPORT_FUNC(memset)
+EXPORT_FUNC(cnc_NandErase)
+EXPORT_FUNC(cnc_NandVerify)
+EXPORT_FUNC(cnc_NandRead)
+EXPORT_FUNC(cnc_NandWrite)
+EXPORT_FUNC(cnc_SpiErase)
+EXPORT_FUNC(cnc_SpiVerify)
+EXPORT_FUNC(cnc_SpiRead)
+EXPORT_FUNC(cnc_SpiWrite)
+EXPORT_FUNC(ProgramAndVerify2Spi)
+EXPORT_FUNC(ProgramAndVerify2Nand)
+EXPORT_FUNC(ProgramAndVerify2EMMC)
+EXPORT_FUNC(sprintf)
+EXPORT_FUNC(memcmp)
+EXPORT_FUNC(strcat)
+EXPORT_FUNC(strlen)
+EXPORT_FUNC(cnc_EMMCRead)
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/exports.h u-boot-2011.06/include/exports.h
--- u-boot-2011.06_original/include/exports.h	2011-06-28 04:22:42.000000000 +0800
+++ u-boot-2011.06/include/exports.h	2014-07-29 17:28:38.819972000 +0800
@@ -25,7 +25,8 @@
 int setenv (char *varname, char *varvalue);
 long simple_strtol(const char *cp,char **endp,unsigned int base);
 int strcmp(const char * cs,const char * ct);
-int ustrtoul(const char *cp, char **endp, unsigned int base);
+unsigned long ustrtoul(const char *cp, char **endp, unsigned int base);
+unsigned long long ustrtoull(const char *cp, char **endp, unsigned int base);
 #if defined(CONFIG_CMD_I2C)
 int i2c_write (uchar, uint, int , uchar* , int);
 int i2c_read (uchar, uint, int , uchar* , int);
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/fat.h u-boot-2011.06/include/fat.h
--- u-boot-2011.06_original/include/fat.h	2011-06-28 04:22:42.000000000 +0800
+++ u-boot-2011.06/include/fat.h	2014-07-29 17:28:38.819972000 +0800
@@ -181,7 +181,7 @@
  * (see FAT32 accesses)
  */
 typedef struct {
-	__u8	fatbuf[FATBUFSIZE]; /* Current FAT buffer */
+	__u8	*fatbuf; /* Current FAT buffer */
 	int	fatsize;	/* Size of FAT in bits */
 	__u16	fatlength;	/* Length of FAT in sectors */
 	__u16	fat_sect;	/* Starting sector of the FAT */
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/ide.h u-boot-2011.06/include/ide.h
--- u-boot-2011.06_original/include/ide.h	2011-06-28 04:22:42.000000000 +0800
+++ u-boot-2011.06/include/ide.h	2014-07-29 17:28:38.819972000 +0800
@@ -24,9 +24,10 @@
 #ifndef	_IDE_H
 #define _IDE_H
 
-#define	IDE_BUS(dev)	(dev >> 1)
+#define IDE_BUS(dev)	(dev / (CONFIG_SYS_IDE_MAXDEVICE / CONFIG_SYS_IDE_MAXBUS))
 
 #define	ATA_CURR_BASE(dev)	(CONFIG_SYS_ATA_BASE_ADDR+ide_bus_offset[IDE_BUS(dev)])
+extern ulong ide_bus_offset[];
 
 #ifdef CONFIG_IDE_LED
 
@@ -42,8 +43,10 @@
 
 #ifdef CONFIG_SYS_64BIT_LBA
 typedef uint64_t lbaint_t;
+#define LBAF "%llx"
 #else
 typedef ulong lbaint_t;
+#define LBAF "%lx"
 #endif
 
 /*
@@ -51,8 +54,17 @@
  */
 
 void ide_init(void);
-ulong ide_read(int device, lbaint_t blknr, ulong blkcnt, void *buffer);
-ulong ide_write(int device, lbaint_t blknr, ulong blkcnt, const void *buffer);
+ulong ide_read(int device, lbaint_t blknr, lbaint_t blkcnt, void *buffer);
+ulong ide_write(int device, lbaint_t blknr, lbaint_t blkcnt,
+		const void *buffer);
+
+#ifdef CONFIG_IDE_PREINIT
+int ide_preinit(void);
+#endif
+
+#ifdef CONFIG_IDE_INIT_POSTRESET
+int ide_init_postreset(void);
+#endif
 
 #if defined(CONFIG_OF_IDE_FIXUP)
 int ide_device_present(int dev);
@@ -64,4 +76,21 @@
 void ide_read_data(int dev, ulong *sect_buf, int words);
 void ide_write_data(int dev, ulong *sect_buf, int words);
 #endif
+
+/*
+ * I/O function overrides
+ */
+void ide_input_swap_data(int dev, ulong *sect_buf, int words);
+void ide_input_data(int dev, ulong *sect_buf, int words);
+void ide_output_data(int dev, const ulong *sect_buf, int words);
+void ide_input_data_shorts(int dev, ushort *sect_buf, int shorts);
+void ide_output_data_shorts(int dev, ushort *sect_buf, int shorts);
+
+/**
+ * board_start_ide() - Start up the board IDE interfac
+ *
+ * @return 0 if ok
+ */
+int board_start_ide(void);
+
 #endif /* _IDE_H */
diff '--exclude=.svn' -Naur u-boot-2011.06_original/include/image.h u-boot-2011.06/include/image.h
